package main

import (
	"errors"
	"git.shadowhosting.xyz/Eggactyl/shell/linux"
	"log"
)

func main() {

	cmd, err := linux.NewCommand(linux.CommandOptions{
		Command: "./package",
		//Sources: []string{"./nvm.sh"},
		Args: []string{"install"},
		CustomErrors: map[int8]error{
			1: errors.New("failed to download package"),
		},
		//Cwd: "/home/<user>/<dir>",
		//Shell: "/bin/bash",
	})

	if err != nil {
		log.Fatal(err)
	}

	if err := cmd.Run(); err != nil {
		log.Fatal(err)
	}

}
